Bug 62262 - Clicking indeterminate checkbox should flip checkedness state
Summary: Clicking indeterminate checkbox should flip checkedness state
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Forms (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Keishi Hattori
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-06-07 21:29 PDT by Keishi Hattori
Modified: 2011-06-19 21:47 PDT (History)
2 users (show)

See Also:


Attachments
patch (4.58 KB, patch)
2011-06-07 21:33 PDT, Keishi Hattori
no flags Details | Formatted Diff | Diff
fixed patch (4.66 KB, patch)
2011-06-07 21:54 PDT, Keishi Hattori
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from cr-jail-8 (213.48 KB, application/zip)
2011-06-08 08:06 PDT, WebKit Review Bot
no flags Details
updated test results (3.83 KB, patch)
2011-06-19 20:31 PDT, Keishi Hattori
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ec2-cq-01 (2.09 MB, application/zip)
2011-06-19 21:24 PDT, WebKit Review Bot
no flags Details
didn't realize new-run-webkit-test doesn't generate results (4.92 KB, patch)
2011-06-19 21:33 PDT, Keishi Hattori
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Keishi Hattori 2011-06-07 21:29:49 PDT
http://code.google.com/p/chromium/issues/detail?id=76201

Example:
http://jsfiddle.net/9yp4T/
Clicking on this indeterminate checkbox should set checked to true.


The spec says
"The pre-click activation steps consist of setting the element's checkedness to its opposite value (i.e. true if it is false, false if it is true), and of setting the element's indeterminate IDL attribute to false. "
http://www.w3.org/TR/html5/number-state.html#checkbox-state
Comment 1 Keishi Hattori 2011-06-07 21:33:50 PDT
Created attachment 96373 [details]
patch
Comment 2 Kent Tamura 2011-06-07 21:44:58 PDT
Comment on attachment 96373 [details]
patch

View in context: https://bugs.webkit.org/attachment.cgi?id=96373&action=review

> LayoutTests/fast/forms/checkbox-click-indeterminate.html:17
> +// Test if clicking on indeterminate checkbox flips both checked/indeterminate states

You had better print this with debug('') for test result readability.

> LayoutTests/fast/forms/checkbox-click-indeterminate.html:24
> +// Test if clicking on indeterminate checkbox flips both checked/indeterminate states

ditto.

> LayoutTests/fast/forms/checkbox-click-indeterminate.html:30
> +// Test if preventDefault restores the checked/indeterminate states

ditto.

> LayoutTests/fast/forms/checkbox-click-indeterminate.html:36
> +  shouldBeTrue('cb.checked');
> +  shouldBeFalse('cb.indeterminate');

Are they compatible with other browsers?
Comment 3 Keishi Hattori 2011-06-07 21:54:53 PDT
Created attachment 96377 [details]
fixed patch
Comment 4 Keishi Hattori 2011-06-07 21:56:30 PDT
> > LayoutTests/fast/forms/checkbox-click-indeterminate.html:36
> > +  shouldBeTrue('cb.checked');
> > +  shouldBeFalse('cb.indeterminate');
> 
> Are they compatible with other browsers?

I modified the test so that it passes in Firefox 4. (I had to add the input element to the DOM tree)
Opera doesn't implement indeterminate checkbox.
Comment 5 Kent Tamura 2011-06-07 22:01:12 PDT
Comment on attachment 96377 [details]
fixed patch

ok
Comment 6 WebKit Review Bot 2011-06-08 08:06:17 PDT
Comment on attachment 96377 [details]
fixed patch

Attachment 96377 [details] did not pass mac-ews (mac):
Output: http://queues.webkit.org/results/8812328

New failing tests:
fast/forms/checkbox-click-indeterminate.html
Comment 7 WebKit Review Bot 2011-06-08 08:06:21 PDT
Created attachment 96423 [details]
Archive of layout-test-results from cr-jail-8

The attached test failures were seen while running run-webkit-tests on the mac-ews.
Bot: cr-jail-8  Port: Mac  Platform: Mac OS X 10.6.7
Comment 8 Darin Adler 2011-06-18 12:53:22 PDT
Comment on attachment 96377 [details]
fixed patch

Clearing review flags so we can investigate why the test did not pass on the Mac.
Comment 9 Keishi Hattori 2011-06-19 20:31:53 PDT
Created attachment 97737 [details]
updated test results
Comment 10 Keishi Hattori 2011-06-19 20:32:40 PDT
I needed to update my test expectation file.
Comment 11 WebKit Review Bot 2011-06-19 21:24:39 PDT
Comment on attachment 97737 [details]
updated test results

Rejecting attachment 97737 [details] from commit-queue.

Failed to run "['./Tools/Scripts/webkit-patch', '--status-host=queues.webkit.org', '--bot-id=ec2-cq-01', '--port..." exit_code: 2

Last 500 characters of output:


=> Tests that will only be fixed if they crash (WONTFIX) (8116):
      1 test timed out           ( 0.0%)
    109 text diff mismatch       ( 1.3%)
   7957 skipped                  (98.0%)


Unexpected flakiness: text diff mismatch (1)
  inspector/styles/parse-utf8-bom.html = TEXT PASS

Unexpected flakiness: tests timed out (1)
  perf/array-binary-search.html = TEXT TIMEOUT PASS


Regressions: Unexpected no expected results found : (1)
  fast/forms/checkbox-click-indeterminate.html = MISSING



Full output: http://queues.webkit.org/results/8911368
Comment 12 WebKit Review Bot 2011-06-19 21:24:44 PDT
Created attachment 97741 [details]
Archive of layout-test-results from ec2-cq-01

The attached test failures were seen while running run-webkit-tests on the commit-queue.
Bot: ec2-cq-01  Port: Chromium  Platform: Linux-2.6.35-28-virtual-x86_64-with-Ubuntu-10.10-maverick
Comment 13 Keishi Hattori 2011-06-19 21:33:39 PDT
Created attachment 97742 [details]
didn't realize new-run-webkit-test doesn't generate results
Comment 14 WebKit Review Bot 2011-06-19 21:45:55 PDT
The commit-queue encountered the following flaky tests while processing attachment 97742 [details]:

http/tests/local/formdata/send-form-data-constructed-from-form.html bug 62431 (author: jianli@chromium.org)
The commit-queue is continuing to process your patch.
Comment 15 WebKit Review Bot 2011-06-19 21:47:33 PDT
Comment on attachment 97742 [details]
didn't realize new-run-webkit-test doesn't generate results

Clearing flags on attachment: 97742

Committed r89229: <http://trac.webkit.org/changeset/89229>
Comment 16 WebKit Review Bot 2011-06-19 21:47:43 PDT
All reviewed patches have been landed.  Closing bug.